Subject: bug#10726: 24.0.93; `find-file-noselect': why should it interrogate the user?

From: "Drew Adams" <[email-masked]>
Date: Mon, 6 Feb 2012 07:39:46 -0800

> > I do see that `find-file-noselect' has been posing 
> > questions to the user since Day One.  But I do not
> see why that is appropriate.  
> 
> FWIW, I largely agree on the principle.  But I think that requires
> non-trivial changes, including maybe adding a new "really
> non-interactive" version of find-file-noselect.

Yes.  That's the point of the bug report.  It would mean factoring out the truly
non-interactive part as the real `find-file-noselect' and using the
interrogation part as a wrapper that is called by commands when used
interactively.